Subject: Re: bug#2421: 23.0.90; python-mode: Indent commands behavior

From: Milan Zamazal <[email-masked]>
Date: Sat, 21 Feb 2009 15:59:09 +0100

>>>>> "mr" == martin rudalics <[email-masked]> writes:

    mr> Isn't that shift behavior something that should be done via
    mr> rectangles?  

Do you mean by the user?  No, this would require marking the region on
exact characters rather than lines, i.e. it would be less comfortable
and would make the operation more visual than logical.  `C-x TAB' is
also not superfluous.

    mr> IIRC, someone even proposed to keep the region active after the
    mr> command completes in order to apply a second shift step if
    mr> needed.

This would be OK for me.

Regards,

Milan Zamazal